Bug 80497 - Add support for ENABLE(LEGACY_NOTIFICATIONS)
Summary: Add support for ENABLE(LEGACY_NOTIFICATIONS)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac OS X 10.7
: P2 Normal
Assignee: Jon Lee
URL:
Keywords: InRadar
Depends on:
Blocks: 80472 80482 80483
  Show dependency treegraph
 
Reported: 2012-03-07 00:04 PST by Jon Lee
Modified: 2012-03-09 11:43 PST (History)
8 users (show)

See Also:


Attachments
Patch (36.55 KB, patch)
2012-03-07 15:50 PST, Jon Lee
no flags Details | Formatted Diff | Diff
Patch (36.61 KB, patch)
2012-03-07 23:01 PST, Jon Lee
abarth: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Lee 2012-03-07 00:04:43 PST
Add the ENABLE_LEGACY_NOTIFICATIONS flag for all ports that currently support NOTIFICATIONS.
Comment 1 Radar WebKit Bug Importer 2012-03-07 00:05:14 PST
<rdar://problem/11001341>
Comment 2 Jon Lee 2012-03-07 15:50:54 PST
Created attachment 130714 [details]
Patch
Comment 3 Martin Robinson 2012-03-07 22:09:40 PST
Comment on attachment 130714 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=130714&action=review

> Source/WebCore/GNUmakefile.am:489
> +FEATURE_DEFINES += ENABLE_LEGACY_NOTIFICATIONS=1
>  FEATURE_DEFINES += ENABLE_NOTIFICATIONS=1
> +webcore_cppflags += -DENABLE_LEGACY_NOTIFICATIONS=1
>  webcore_cppflags += -DENABLE_NOTIFICATIONS=1

This is sort of a nit but it would be cleaner to do:
FEATURE_DEFINES += ENABLE_NOTIFICATIONS=1 ENABLE_LEGACY_NOTIFICATIONS=1
webcore_cppflags += -DENABLE_NOTIFICATIONS=1 -DENABLE_LEGACY_NOTIFICATIONS=1
Comment 4 Jon Lee 2012-03-07 23:01:06 PST
Created attachment 130778 [details]
Patch

Incorporated Martin's feedback
Comment 5 Jon Lee 2012-03-08 12:06:33 PST
Anyone else?
Comment 6 Adam Barth 2012-03-08 14:56:17 PST
Comment on attachment 130778 [details]
Patch

The mechanics of this patch appear to be correct.  I assume from the webkit-dev thread that you have buy-in from the folks who work on notifications that this is the right path to take.
Comment 7 Jon Lee 2012-03-08 15:20:15 PST
Committed r110217: <http://trac.webkit.org/changeset/110217>
Comment 8 Jon Lee 2012-03-09 11:43:14 PST
The commit was wrong-- it only changed the Changelogs. The real commit is r110311, and I removed the change to the Changelogs.

<http://trac.webkit.org/changeset/110311>